#include <stdio.h>
#include <stdlib.h>


#define HSIZ      0x200   // headersize
#define CSIZ      0x30   // weird infochunk size
#define CHUNKS    0x7fd0 // actual data


int main(int ac, char **av)
    {
    FILE *in,*out;
    int bc;
    char buffer[CHUNKS];

    if(ac != 3)
        {
        printf("Usage: %s <infile> <outfile>\n",av[0]);
        exit(0);
        }
    if((in = fopen(av[1], "r")) == NULL)
        {
        perror("infile: ");
        exit(1);
        }
    if((out = fopen(av[2], "w")) == NULL)
        {
        perror("outfile: ");
        exit(1);
        }

    if(fseek(in,HSIZ+CSIZ,SEEK_SET) != 0)
        {
        printf("cannot skip header on %s, short file ?\n",av[1]);
        exit(1);
        }



    while((bc = fread(buffer,1,CHUNKS,in)))
        {
//        printf("read %d bytes\n",bc);
        fwrite(buffer,1,bc,out);
//        printf("wrote %d bytes\n",bc);
        fseek(in,CSIZ,SEEK_CUR);
        }

    fclose(in);
    fclose(out);
    exit(0);
    }
